Hybrid View

    This issue duplicates another issue.
  1. #1
    Sencha User
    Join Date
    Jan 2013
    Posts
    6
    Vote Rating
    0
    sa.saurabh is on a distinguished road

      0  

    Default ext-4.2.0.663 provided css styles not working on IE8 with HTTPS (SSL)

    ext-4.2.0.663 provided css styles not working on IE8 with HTTPS (SSL)


    CSS styles provided with ext-4.2.0.663 are not working on IE8 with HTTPS(SSL).

    Throws the security warning as css classes contains about:blank urls as background-image. one e.g. below

    body.x-nbr .x-btn-default-small {
    /* Pass along Div/Table, Horz/Vert, border-radius and border-width: */
    background-image: url("about:blank#th-3-3-3-3-1-1-1-1-2-2-2-2");
    }

    Also buttons and tabs etc. are not getting styled.
    Issue only on IE8 with HTTPS (SSL). With HTTP it works fine.

  2. #2
    Sencha - Support Team slemmon's Avatar
    Join Date
    Mar 2009
    Location
    Boise, ID
    Posts
    4,805
    Vote Rating
    167
    slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold

      0  

    Default


    Thanks for the report!
    Looks like this will be fixed with 4.2.1!

  3. #3
    Sencha User
    Join Date
    Jan 2013
    Posts
    6
    Vote Rating
    0
    sa.saurabh is on a distinguished road

      0  

    Default ext-4.2.0.663 provided css styles not working on IE8 with HTTPS (SSL)

    ext-4.2.0.663 provided css styles not working on IE8 with HTTPS (SSL)


    When will 4.2.1 release? Is there any workaround or any fix available to use?

  4. #4
    Sencha - Support Team slemmon's Avatar
    Join Date
    Mar 2009
    Location
    Boise, ID
    Posts
    4,805
    Vote Rating
    167
    slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold slemmon is a splendid one to behold

      0  

    Default


    I don't have a workaround at this time. 4.2.1 doesn't have a release date, but is in Beta now.

  5. #5
    Sencha User
    Join Date
    Jan 2011
    Posts
    19
    Vote Rating
    1
    pyrite is on a distinguished road

      0  

    Default


    I believe I have experienced this bug with IE7 as well.

    See:

    http://www.sencha.com/forum/showthre...7-IE8-over-SSL

    Glad to know it will be fixed in 4.2.1 (sadly, my company still uses IE7).

    Thank you!!

  6. #6
    Sencha User Daniil's Avatar
    Join Date
    Jun 2010
    Location
    Saint-Petersburg, Russia
    Posts
    974
    Vote Rating
    108
    Daniil is a name known to all Daniil is a name known to all Daniil is a name known to all Daniil is a name known to all Daniil is a name known to all Daniil is a name known to all

      0  

    Default


    Quote Originally Posted by slemmon View Post
    I don't have a workaround at this time. 4.2.1 doesn't have a release date, but is in Beta now.
    Hi @slemmon,

    Could you, please, clarify the fix for the HTTPS security warning has been included to Beta or not? Seems, it has not. At least, I can't see anything related to that problem in the Release Notes.

    According to this thread (post #15) the ticket is EXTJSIV-9162.
    http://www.sencha.com/forum/showthread.php?258615
    Ext.NET - ASP.NET for Ext JS
    MVC and WebForms
    Examples | Twitter

  7. #7
    Sencha User
    Join Date
    Jan 2011
    Posts
    19
    Vote Rating
    1
    pyrite is on a distinguished road

      1  

    Default


    Unless I'm being deceived, this issue appears to be fixed for me with ext-4.2.1.744.

    I do not get the security warning, and all the buttons and css styles appear to work as expected with IE7/8.